## qdiskinfo 0.2+git20240810+ds

=== debian/changelog ===
qdiskinfo (0.2+git20240810+ds-1) unstable; urgency=medium

  * Initial release. (Closes: #1078465)

 -- Boyuan Yang <byang@debian.org>  Sat, 10 Aug 2024 21:12:16 -0400

## qdiskinfo 0.2+git20240812+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(QDiskInfo VERSION 0.1 LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wuseless-cast -Wconversion -Wsign-conversion -Wshadow")

if(NOT DEFINED QT_VERSION_MAJOR)
    set(QT_VERSION_MAJOR 6)
endif()

find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)

set(PROJECT_SOURCES
        src/main.cpp
        src/mainwindow.cpp
        src/mainwindow.h
        src/mainwindow.ui
        src/custombutton.h
        src/custombutton.cpp
        src/statusdot.h
        src/statusdot.cpp
        src/jsonparser.h
        src/jsonparser.cpp
        src/utils.h
        src/utils.cpp
        src/resources.qrc
)

if (INCLUDE_OPTIONAL_RESOURCES)
    set(PROJECT_SOURCES ${PROJECT_SOURCES} dist/theme/theme_resources.qrc)
endif()

add_executable(QDiskInfo
    ${PROJECT_SOURCES}
)

target_compile_definitions(QDiskInfo PRIVATE
    PROJECT_VERSION_MAJOR=${QDiskInfo_VERSION_MAJOR}
    PROJECT_VERSION_MINOR=${QDiskInfo_VERSION_MINOR}
    INCLUDE_OPTIONAL_RESOURCES=$<BOOL:${INCLUDE_OPTIONAL_RESOURCES}>
    CHARACTER_IS_RIGHT=$<BOOL:${CHARACTER_IS_RIGHT}>
)

target_link_libraries(QDiskInfo PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

set_target_properties(QDiskInfo PROPERTIES
    ${BUNDLE_ID_OPTION}
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    MACOSX_BUNDLE TRUE
    WIN32_EXECUTABLE TRUE
)

include(GNUInstallDirs)
install(TARGETS QDiskInfo
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
install(FILES "dist/QDiskInfo.desktop"
        DESTINATION "share/applications")
install(FILES "dist/QDiskInfo.svg"
        DESTINATION "share/icons/hicolor/scalable/apps")

if(QT_VERSION_MAJOR EQUAL 6)
    qt_finalize_executable(QDiskInfo)
endif()
include(FeatureSummary)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
qdiskinfo (0.2+git20240812+ds-1) unstable; urgency=medium

  * New upstream release.

 -- Boyuan Yang <byang@debian.org>  Thu, 15 Aug 2024 10:24:10 -0400

=== debian/control ===
Source: qdiskinfo
Section: utils
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 libgl-dev,
 libxkbcommon-dev,
 qt6-base-dev,
Standards-Version: 4.7.0
Homepage: https://github.com/edisionnano/QDiskInfo
Vcs-Git: https://salsa.debian.org/debian/qdiskinfo.git
Vcs-Browser: https://salsa.debian.org/debian/qdiskinfo.git

Package: qdiskinfo
Architecture: any
Depends:
 pkexec,
 qt6-wayland,
 smartmontools,
 ${misc:Depends},
 ${shlibs:Depends},
Description: CrystalDiskInfo alternative for Linux
 QDiskInfo is a frontend for smartctl. It provides a user experience
 similar to CrystalDiskInfo. It shows the SMART (Self-Monitoring,
 Analysis, and Reporting Technology) data of modern hard disk drives.

=== debian/watch ===
version=4
opts="filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
 https://api.github.com/repos/edisionnano/QDiskInfo/tags?per_page=100 \
 https://api.github.com/repos/edisionnano/QDiskInfo/tarball/refs/tags/@ANY_VERSION@

## qdiskinfo 0.3%2Bgit20250128%2Bds

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,11 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ dh-exec,
  libgl-dev,
  libxkbcommon-dev,
  qt6-base-dev,
+ qt6-tools-dev,
 Standards-Version: 4.7.0
 Homepage: https://github.com/edisionnano/QDiskInfo
 Vcs-Git: https://salsa.debian.org/debian/qdiskinfo.git

## qdiskinfo 0.3+git20240909+ds

=== debian/changelog ===
qdiskinfo (0.3+git20240909+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/qdiskinfo.install: Also install the 48x48 icon.

 -- Boyuan Yang <byang@debian.org>  Tue, 10 Sep 2024 16:10:35 -0400

qdiskinfo (0.3+git20240822+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/: Dropped, useless.

 -- Boyuan Yang <byang@debian.org>  Thu, 22 Aug 2024 18:48:49 -0400

qdiskinfo (0.3+git20240820+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/patches/0001: Add dynamic qm file build support.

 -- Boyuan Yang <byang@debian.org>  Tue, 20 Aug 2024 11:28:52 -0400

qdiskinfo (0.2+git20240816+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 18 Aug 2024 14:52:57 -0400

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
- dh-exec,
  libgl-dev,
  libxkbcommon-dev,
  qt6-base-dev,

## qdiskinfo 0.3+git20241225+ds

=== debian/changelog ===
qdiskinfo (0.3+git20241225+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Sun, 19 Jan 2025 19:01:05 -0500

qdiskinfo (0.3+git20241225+ds-1) unstable; urgency=medium

  * New upstream snapshot.
  * debian/qdiskinfo.install: Also install the 256x256 icon.

 -- Boyuan Yang <byang@debian.org>  Fri, 03 Jan 2025 13:54:26 -0500

qdiskinfo (0.3+git20240909+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 16 Sep 2024 20:03:35 -0400

qdiskinfo (0.3+git20240822+ds-1~bpo12+1) bookworm-backports; urgency=medium

  * Rebuild for bookworm-backports.

 -- Boyuan Yang <byang@debian.org>  Mon, 26 Aug 2024 21:49:43 -0400

## qdiskinfo 0.3+git20250128+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(QDiskInfo VERSION 0.1 LANGUAGES CXX)
+project(QDiskInfo VERSION 0.3 LANGUAGES CXX)
 
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)
@@ -14,35 +14,51 @@
     set(QT_VERSION_MAJOR 6)
 endif()
 
-find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)
+if(ENABLE_TRANSLATIONS)
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets LinguistTools)
+else()
+    find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Widgets)
+endif()
 
 set(PROJECT_SOURCES
-        src/main.cpp
-        src/mainwindow.cpp
-        src/mainwindow.h
-        src/mainwindow.ui
-        src/custombutton.h
-        src/custombutton.cpp
-        src/statusdot.h
-        src/statusdot.cpp
-        src/jsonparser.h
-        src/jsonparser.cpp
-        src/utils.h
-        src/utils.cpp
-        src/resources.qrc
+    src/main.cpp
+    src/mainwindow.cpp
+    src/mainwindow.h
+    src/mainwindow.ui
+    src/custombutton.h
+    src/custombutton.cpp
+    src/statusdot.h
+    src/statusdot.cpp
+    src/jsonparser.h
+    src/jsonparser.cpp
+    src/utils.h
+    src/utils.cpp
+    src/resources.qrc
 )
 
-if (INCLUDE_OPTIONAL_RESOURCES)
+if(INCLUDE_OPTIONAL_RESOURCES)
     set(PROJECT_SOURCES ${PROJECT_SOURCES} dist/theme/theme_resources.qrc)
 endif()
 
-add_executable(QDiskInfo
-    ${PROJECT_SOURCES}
-)
+if(ENABLE_TRANSLATIONS)
+    file(GLOB TS_FILES "${CMAKE_SOURCE_DIR}/translations/*.ts")
+    qt_add_translation(QM_FILES ${TS_FILES})
+    set(TRANSLATIONS_QRC "${CMAKE_BINARY_DIR}/translations.qrc")
+    file(WRITE ${TRANSLATIONS_QRC} "<RCC>\n  <qresource prefix=\"/translations\">\n")
+    foreach(QM_FILE ${QM_FILES})
+        get_filename_component(QM_FILE_NAME ${QM_FILE} NAME)
+        file(APPEND ${TRANSLATIONS_QRC} "    <file>${QM_FILE_NAME}</file>\n")
+    endforeach()
+    file(APPEND ${TRANSLATIONS_QRC} "  </qresource>\n</RCC>\n")
+    list(APPEND PROJECT_SOURCES ${TRANSLATIONS_QRC})
+endif()
+
+add_executable(QDiskInfo ${PROJECT_SOURCES})
 
 target_compile_definitions(QDiskInfo PRIVATE
     PROJECT_VERSION_MAJOR=${QDiskInfo_VERSION_MAJOR}
     PROJECT_VERSION_MINOR=${QDiskInfo_VERSION_MINOR}
+    ENABLE_TRANSLATIONS=$<BOOL:${ENABLE_TRANSLATIONS}>
     INCLUDE_OPTIONAL_RESOURCES=$<BOOL:${INCLUDE_OPTIONAL_RESOURCES}>
     CHARACTER_IS_RIGHT=$<BOOL:${CHARACTER_IS_RIGHT}>
 )

=== debian/changelog ===
qdiskinfo (0.3+git20250128+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Feb 2025 09:54:10 -0500

## qdiskinfo 0.3+git20250416+ds

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

project(QDiskInfo VERSION 0.3 LANGUAGES CXX)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra -Wpedantic -Wuseless-cast -Wconversion -Wsign-conversion -Wshadow")

if (NOT DEFINED QT_VERSION_MAJOR)
    find_package(QT NAMES Qt6 COMPONENTS Core QUIET)
    if (NOT QT_FOUND)
        find_package(QT NAMES Qt5 COMPONENTS Core QUIET)
    endif()
else()
    find_package(QT NAMES Qt${QT_VERSION_MAJOR} COMPONENTS Core QUIET)
endif()

set(QT_COMPONENTS Widgets)
if(ENABLE_TRANSLATIONS)
    list(APPEND QT_COMPONENTS LinguistTools)
endif()
find_package(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS ${QT_COMPONENTS})

file(GLOB_RECURSE PROJECT_SOURCES
    include/*.h
    src/*.cpp
    src/*.ui
    src/resources.qrc
)

if(INCLUDE_OPTIONAL_RESOURCES)
    set(PROJECT_SOURCES ${PROJECT_SOURCES} dist/theme/theme_resources.qrc)
endif()

if(ENABLE_TRANSLATIONS)
    file(GLOB TS_FILES "${CMAKE_SOURCE_DIR}/translations/*.ts")
    if(QT_VERSION_MAJOR GREATER_EQUAL 6 AND QT_VERSION_MINOR GREATER_EQUAL 7)
        qt_add_translations(TARGETS ${PROJECT_NAME}
                TS_FILES ${TS_FILES}
                SOURCES ${PROJECT_SOURCES}
                QM_FILES_OUTPUT_VARIABLE QM_FILES
                LUPDATE_OPTIONS -no-obsolete -locations none
        )
        set(CALL_LUPDATE TRUE)
    else()
        qt_add_translation(QM_FILES ${TS_FILES})
    endif()
    set(TRANSLATIONS_QRC "${CMAKE_BINARY_DIR}/translations.qrc")
    file(WRITE ${TRANSLATIONS_QRC} "<RCC>\n  <qresource prefix=\"/translations\">\n")
    foreach(QM_FILE ${QM_FILES})
        get_filename_component(QM_FILE_NAME ${QM_FILE} NAME)
        file(APPEND ${TRANSLATIONS_QRC} "    <file>${QM_FILE_NAME}</file>\n")
    endforeach()
    file(APPEND ${TRANSLATIONS_QRC} "  </qresource>\n</RCC>\n")
    list(APPEND PROJECT_SOURCES ${TRANSLATIONS_QRC})
endif()

add_executable(${PROJECT_NAME} ${PROJECT_SOURCES})

if(CALL_LUPDATE)
    add_dependencies(${PROJECT_NAME} update_translations)
endif()

target_include_directories(${PROJECT_NAME} PRIVATE ${CMAKE_SOURCE_DIR}/include)

target_compile_definitions(${PROJECT_NAME} PRIVATE
    PROJECT_VERSION_MAJOR=${${PROJECT_NAME}_VERSION_MAJOR}
    PROJECT_VERSION_MINOR=${${PROJECT_NAME}_VERSION_MINOR}
    ENABLE_TRANSLATIONS=$<BOOL:${ENABLE_TRANSLATIONS}>
    INCLUDE_OPTIONAL_RESOURCES=$<BOOL:${INCLUDE_OPTIONAL_RESOURCES}>
    CHARACTER_IS_RIGHT=$<BOOL:${CHARACTER_IS_RIGHT}>
)

target_link_libraries(${PROJECT_NAME} PRIVATE Qt${QT_VERSION_MAJOR}::Widgets)

set_target_properties(${PROJECT_NAME} PROPERTIES
    ${BUNDLE_ID_OPTION}
    MACOSX_BUNDLE_BUNDLE_VERSION ${PROJECT_VERSION}
    MACOSX_BUNDLE_SHORT_VERSION_STRING ${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}
    MACOSX_BUNDLE TRUE
    WIN32_EXECUTABLE TRUE
)

include(GNUInstallDirs)
install(TARGETS ${PROJECT_NAME}
    BUNDLE DESTINATION .
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
)
install(FILES "dist/${PROJECT_NAME}.desktop"
        DESTINATION "share/applications")
install(FILES "dist/${PROJECT_NAME}.svg"
        DESTINATION "share/icons/hicolor/scalable/apps")

if(QT_VERSION_MAJOR GREATER_EQUAL 6)
    qt_finalize_executable(${PROJECT_NAME})
endif()
include(FeatureSummary)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
qdiskinfo (0.3+git20250416+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Thu, 17 Apr 2025 11:02:36 -0400

qdiskinfo (0.3+git20250329+ds-1) unstable; urgency=medium

  * debian/control: Add new build-dep requirement: qt6-tools-dev-tools.
  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Mon, 31 Mar 2025 13:44:51 -0400

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,16 @@
 Build-Depends:
  cmake,
  debhelper-compat (= 13),
+ dh-exec,
  libgl-dev,
  libxkbcommon-dev,
  qt6-base-dev,
  qt6-tools-dev,
-Standards-Version: 4.7.0
+ qt6-tools-dev-tools,
+Standards-Version: 4.7.2
 Homepage: https://github.com/edisionnano/QDiskInfo
 Vcs-Git: https://salsa.debian.org/debian/qdiskinfo.git
-Vcs-Browser: https://salsa.debian.org/debian/qdiskinfo.git
+Vcs-Browser: https://salsa.debian.org/debian/qdiskinfo
 
 Package: qdiskinfo
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
	        -DENABLE_TRANSLATIONS=ON \
	        $(NULL)

## qdiskinfo 0.3+git20250610+ds

=== debian/changelog ===
qdiskinfo (0.3+git20250610+ds-2) unstable; urgency=medium

  * Rebuild against GCC 15. (Closes: #1097692)

 -- Boyuan Yang <byang@debian.org>  Thu, 04 Sep 2025 20:55:48 -0400

qdiskinfo (0.3+git20250610+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Sun, 10 Aug 2025 18:49:49 -0400

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none, pretty=0.3+git%cd+ds" \
 https://github.com/edisionnano/QDiskInfo \
 HEAD

## qdiskinfo 0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.16)
 
-project(QDiskInfo VERSION 0.3 LANGUAGES CXX)
+project(QDiskInfo VERSION 0.4 LANGUAGES CXX)
 
 set(CMAKE_AUTOUIC ON)
 set(CMAKE_AUTOMOC ON)

=== debian/changelog ===
qdiskinfo (0.4-0.1~mx21+1) mx; urgency=medium

  * New upstream release.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 09 Jun 2025 17:58:18 -0700

=== debian/control ===
Source: qdiskinfo
Section: utils
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-exec,
               libgl-dev,
               libxkbcommon-dev,
               qt6-base-dev,
               qt6-tools-dev,
               qt6-tools-dev-tools
Standards-Version: 4.7.2
Homepage: https://github.com/edisionnano/QDiskInfo
Vcs-Git: https://salsa.debian.org/debian/qdiskinfo.git
Vcs-Browser: https://salsa.debian.org/debian/qdiskinfo

Package: qdiskinfo
Architecture: any
Depends: pkexec, qt6-wayland, smartmontools, ${misc:Depends}, ${shlibs:Depends}
Description: CrystalDiskInfo alternative for Linux
 QDiskInfo is a frontend for smartctl. It provides a user experience
 similar to CrystalDiskInfo. It shows the SMART (Self-Monitoring,
 Analysis, and Reporting Technology) data of modern hard disk drives.

## qdiskinfo 0.4%2Bgit20250610%2Bds

=== debian/control ===
Source: qdiskinfo
Section: utils
Priority: optional
Maintainer: Boyuan Yang <byang@debian.org>
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 dh-exec,
 libgl-dev,
 libxkbcommon-dev,
 qt6-base-dev,
 qt6-tools-dev,
 qt6-tools-dev-tools,
Standards-Version: 4.7.2
Homepage: https://github.com/edisionnano/QDiskInfo
Vcs-Git: https://salsa.debian.org/debian/qdiskinfo.git
Vcs-Browser: https://salsa.debian.org/debian/qdiskinfo
Description: CrystalDiskInfo alternative for Linux
 QDiskInfo is a frontend for smartctl. It provides a user experience
 similar to CrystalDiskInfo. It shows the SMART (Self-Monitoring,
 Analysis, and Reporting Technology) data of modern hard disk drives.

Package: qdiskinfo
Architecture: any
Depends:
 pkexec,
 qt6-wayland,
 smartmontools,
 ${misc:Depends},
 ${shlibs:Depends},
Description: ${source:Synopsis}
 ${source:Extended-Description}

## qdiskinfo 0.4+git20250610+ds

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
                 TS_FILES ${TS_FILES}
                 SOURCES ${PROJECT_SOURCES}
                 QM_FILES_OUTPUT_VARIABLE QM_FILES
+                INCLUDE_DIRECTORIES ${CMAKE_SOURCE_DIR}/include
                 LUPDATE_OPTIONS -no-obsolete -locations none
         )
         set(CALL_LUPDATE TRUE)

=== debian/changelog ===
qdiskinfo (0.4+git20250610+ds-1) unstable; urgency=medium

  * Dummy new upstream snapshot (no source code changes).
    (Closes: #1109750)
  * debian/control: Move package description to source package section.

 -- Boyuan Yang <byang@debian.org>  Fri, 31 Oct 2025 16:00:43 -0400

=== debian/watch ===
Version: 5

Source: https://github.com/edisionnano/QDiskInfo
Matching-Pattern: HEAD
Mode: git
Pgpmode: none
Git-Pretty: 0.4+git%cd+ds

## qdiskinfo 0.4+git20251119+ds

=== debian/changelog ===
qdiskinfo (0.4+git20251119+ds-1) unstable; urgency=medium

  * New upstream snapshot.

 -- Boyuan Yang <byang@debian.org>  Fri, 28 Nov 2025 14:13:38 -0500
